Page MenuHomePhabricator

nodemap: move the iteratio inside the Block object
ClosedPublic

Authored by marmoute on Jan 13 2020, 10:07 AM.

Details

Summary

Having the iteration inside the serialization function does not help
readability. Now that we have a Block object, let us move that code there.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jan 13 2020, 10:07 AM
marmoute updated this revision to Diff 19297.Jan 15 2020, 9:54 AM
marmoute updated this revision to Diff 19759.Jan 31 2020, 10:28 AM
marmoute updated this revision to Diff 19788.Jan 31 2020, 5:58 PM
marmoute updated this revision to Diff 19832.Feb 2 2020, 3:18 AM

small doc update on .#s[1]

marmoute updated this revision to Diff 19891.Feb 4 2020, 7:24 PM

rebase to latest default

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.